Bug 29289 - 'Show fines to guarantor' should have its own id on patron detail page
Summary: 'Show fines to guarantor' should have its own id on patron detail page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-20 21:02 UTC by Katrin Fischer
Modified: 2022-01-07 11:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29289: 'Show fines to guarantor' should have its own id on patron detail page (1.77 KB, patch)
2021-11-09 16:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29289: 'Show fines to guarantor' should have its own id on patron detail page (1.83 KB, patch)
2021-11-09 19:07 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29289: 'Show fines to guarantor' should have its own id on patron detail page (1.91 KB, patch)
2021-12-13 14:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-10-20 21:02:19 UTC
The "Show fines to guarantor" on the details tab in the patron account on the staff side should have it's own id for easy customization as the entry for showing checkouts already has.
Comment 1 Barbara Johnson 2021-10-26 23:55:49 UTC
+1
Comment 2 Owen Leonard 2021-11-09 16:00:27 UTC
Created attachment 127493 [details] [review]
Bug 29289: 'Show fines to guarantor' should have its own id on patron detail page

This patch adds an id attribute to the list item containing the "Show
fines to guarantor" information on the patron detail page in the staff
interface. This makes it consistent with the markup for the similar
"Show checkouts to guarantor" list item.

To test, apply the patch and view a patron's details in the staff
client. Inspect the source to confirm that the "Show fines to guarantor"
line has an id, "patron-privacy_guarantor_fines".

Alternatively, add this to the IntranetUserCSS system preference: #patron-privacy_guarantor_fines { background-color: pink; }

The line on the patron details page should be highlighted in pink.
Comment 3 PTFS Europe Sandboxes 2021-11-09 19:07:52 UTC
Created attachment 127494 [details] [review]
Bug 29289: 'Show fines to guarantor' should have its own id on patron detail page

This patch adds an id attribute to the list item containing the "Show
fines to guarantor" information on the patron detail page in the staff
interface. This makes it consistent with the markup for the similar
"Show checkouts to guarantor" list item.

To test, apply the patch and view a patron's details in the staff
client. Inspect the source to confirm that the "Show fines to guarantor"
line has an id, "patron-privacy_guarantor_fines".

Alternatively, add this to the IntranetUserCSS system preference: #patron-privacy_guarantor_fines { background-color: pink; }

The line on the patron details page should be highlighted in pink.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Jonathan Druart 2021-12-13 14:22:26 UTC
<li id="patron-privacyguarantor">

<li id="patron-privacy_guarantor_fines">

That's inconsistent... Not blocker however.
Comment 5 Jonathan Druart 2021-12-13 14:22:54 UTC
Created attachment 128467 [details] [review]
Bug 29289: 'Show fines to guarantor' should have its own id on patron detail page

This patch adds an id attribute to the list item containing the "Show
fines to guarantor" information on the patron detail page in the staff
interface. This makes it consistent with the markup for the similar
"Show checkouts to guarantor" list item.

To test, apply the patch and view a patron's details in the staff
client. Inspect the source to confirm that the "Show fines to guarantor"
line has an id, "patron-privacy_guarantor_fines".

Alternatively, add this to the IntranetUserCSS system preference: #patron-privacy_guarantor_fines { background-color: pink; }

The line on the patron details page should be highlighted in pink.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Fridolin Somers 2021-12-22 07:11:29 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄